import OutOfFlow from './OutOfFlow';
import { Book } from '../book';
import { CSSSelector, PageMaker } from '../types';
export interface FullBleedPageRuleOptions {
    selector: CSSSelector;
    continue: 'next' | 'same' | 'left' | 'right';
    rotate: 'none' | 'inward' | 'outward' | 'clockwise' | 'counterclockwise';
}
declare class FullBleedPage extends OutOfFlow {
    rotate: string;
    continue: string;
    constructor(options: Partial<FullBleedPageRuleOptions>);
    createOutOfFlowPages(elmt: HTMLElement, book: Book, makeNewPage: PageMaker): void;
}
export default FullBleedPage;
