export interface DomAttributes {
    id: String;
    onchange: (e: Event) => any;
    onclick: (e: Event) => any;
    value: any;
    selected: any;
    disabled: any;
}
export interface ElementWrapper {
    element: HTMLElement;
}
declare type Appendable = string | HTMLElement | ElementWrapper;
export declare const h: (tagName: string, classNames: string | null, attrs: Partial<DomAttributes>, ...children: (Appendable)[]) => HTMLElement;
export declare const div: (cls: string, ...children: Appendable[]) => HTMLDivElement;
export declare const button: (cls: string, attrs: Partial<DomAttributes>, label: string) => HTMLButtonElement;
export declare const select: (cls: string, attrs: Partial<DomAttributes>, ...optionElements: HTMLOptionElement[]) => HTMLSelectElement;
export declare const option: (attrs: Partial<DomAttributes>, label: string) => HTMLOptionElement;
export {};
