import { Rule } from './Rule';
import { Book } from '../book';
import { PageMaker, CSSSelector } from '../types';
export interface ReplaceRuleOptions {
    selector: CSSSelector;
    replace: (element: HTMLElement, info?: any) => HTMLElement;
}
declare class Replace extends Rule {
    constructor(options: Partial<ReplaceRuleOptions>);
    afterAdd(element: HTMLElement, book: Book, continueOnNewPage: Function, makeNewPage: PageMaker, overflowCallback: Function): any;
    createReplacement(book: Book, element: HTMLElement): HTMLElement;
    replace(element: HTMLElement, info?: any): HTMLElement;
}
export default Replace;
