import { RuleOptionBreakPosition, RuleOptionFlowPosition, RuleOptionPageRotation, CSSSelector } from '../types';
export interface RuleOptions {
    name: string;
    selector: string;
    position: RuleOptionBreakPosition;
    continue: RuleOptionFlowPosition;
    rotate: RuleOptionPageRotation;
    pageNumberOffset: number;
}
export declare class Rule {
    name: string;
    selector: CSSSelector;
    [key: string]: any;
    constructor(options: Partial<RuleOptions>);
    setup(): void;
}
