import { Rule, RuleOptions } from './Rule';
export interface SplitRuleOptions extends RuleOptions {
    selector: string;
    toNext: string;
    fromPrevious: string;
    didSplit: (a: HTMLElement, b: HTMLElement) => void;
}
declare class Split extends Rule {
    toNext?: string;
    fromPrevious?: string;
    constructor(options: Partial<SplitRuleOptions>);
    didSplit(original: HTMLElement, clone: HTMLElement): void;
}
export default Split;
